@import "reset.css";
@import url('https://fonts.cdnfonts.com/css/gilam');

:root, root.light {
  --primary-background: #171717;
  --primary-text: #ffffff;
  --secondary-background: #634F2C;
  --secondary-text: #E4B564;
  --tertiary-background: #242424;
  --tertiary-text: #0E0E0E;
  --highlight-background: #E4B564;
  --highlight-text: #000000;
  --quaternary-background: #1F1F1F;
  --quinary-background: #0A0909;
  --senary-background: #B4A385;
  --septenary-background: #635A4A;
  --octonary-background: #B08C4D;
  --nonary-background: rgba(232, 210, 171, 0.76);
}

:root.dark {
  --primary-background: #243447;
  --primary-text: #E1E5E9;
  --secondary-background: #486581;
  --secondary-text: #F0F4F8;
  --tertiary-background: #1F2933;
  --tertiary-text: #0E1419;
  --highlight-background: #A8DADC;
  --highlight-text: #000000;
  --quaternary-background: #283B4D;
  --quinary-background: #0A0F14;
  --senary-background: #8C9BA8;
  --septenary-background: #506372;
  --octonary-background: #9BAEB8;
  --nonary-background: rgba(168, 218, 220, 0.76);
}

html {
  font-size: 20px;
}

body {
  background: var(--primary-background);
  font-family: 'Gilam', sans-serif;
  font-weight: 700;
  line-height: 1.4;
  color: var(--primary-text);
  transition: 300ms linear background-color;
}

.container {
  max-width: calc(1460px + 30px);
  width: 100%;
  margin: 0 auto;
  padding: 0 15px;
}

.header__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 40px 0;
  margin-bottom: 80px;
}

.header__controls {
  display: flex;
}

.header__button {
  border: 1px solid var(--secondary-text);
  font-weight: 400;
  font-size: 18px;
  line-height: 1.6;
  color: var(--secondary-text);
  padding: 10px 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.header__button__theme {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 25px;
}

.header__button__theme svg {
  fill: var(--secondary-text);
}

.products {
  font-weight: 400;
  font-size: 18px;
  line-height: 1.6;
  margin-bottom: 160px;
}

.products__section-description {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 40px;
  margin-bottom: 40px;
}

.products__title {
  font-size: 2.5rem;
  line-height: 1;
}

.products__text {
  max-width: 1180px;
}

.products__gallery {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: repeat(2, 468px);
  grid-gap: 30px;
  margin-bottom: 160px;
}

.products__gallery-item {
  font-weight: 700;
  text-align: center;
  color: var(--primary-text);
  background-color: var(--secondary-background);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 45px;
}

.products__gallery .grid-line-1 {
  grid-column: span 2;
}

.products__gallery .grid-line-2 {
  grid-column: span 3;
}

.products__gallery-item:nth-child(2) {
  background-color: var(--senary-background);
}

.products__gallery-item:nth-child(3) {
  background-color: var(--highlight-background);
}

.products__gallery-item:nth-child(4) {
  background-color: var(--septenary-background);
}

.products__gallery-item:nth-child(5) {
  background-color: var(--octonary-background);
}

.park-title {
  margin-bottom: 4.5rem;
}

.products__park {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(440px, 1fr));
  grid-column-gap: 30px;
}

.products__park-column {
  display: grid;
  grid-row-gap: 26px;
  align-content: space-between;
}

.products__park-column:nth-child(2) {
  align-content: start;
}

.products__park-item {
  width: 100%;
  background-color: var(--tertiary-background);
}

.products__park-item-text {
  margin: 44px 52px;
  font-weight: 500;
}

.item-title {
  display: flex;
  font-weight: 700;
}

.item-first {
  font-weight: 400;
  background-color: var(--tertiary-text);
  height: 312px;
}

.item-second {
  background-color: var(--quaternary-background);
  height: 560px;
}

.item-third {
  font-weight: 400;
  background-color: var(--tertiary-background);
  height: 440px;
}

.item-fourth {
  background-color: var(--highlight-background);
  height: 405px;
  color: var(--highlight-text);
}

.item-fifth {
  background-color: var(--quaternary-background);
  height: 255px;
}

.item-sixth {
  background-color: var(--tertiary-text);
  height: 313px;
}

.item-seventh {
  background-color: var(--quinary-background);
  height: 277px;
}

.projects {
  padding-top: 172px;
  background-color: var(--tertiary-text);
}

.projects__header {
  display: flex;
  justify-content: space-between;
  align-content: center;
  margin-bottom: 72px;
}

.projects__header-title {
  font-size: 2.5rem;
  line-height: 1;
}

.projects__header-button {
  border: 1px solid var(--secondary-text);
  font-weight: 400;
  font-size: 18px;
  line-height: 1.6;
  color: var(--secondary-text);
  padding: 10px 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.projects__gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(440px, 1fr));
  grid-auto-rows: minmax(440px, 1fr);
}

.projects__gallery-item {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  background-color: var(--secondary-background);
}

.projects__gallery-item img {
  align-self: center;
}

.project__gallery-item-description {
  text-align: center;
  font-weight: 600;
  font-size: 22px;
  line-height: 1.3;
  margin: 16px 80px 0;
}

.project__item-description-address {
  font-weight: 400;
}

.projects__gallery-item:nth-child(2) {
  background: var(--nonary-background);
}

.projects__gallery-item:nth-child(3) {
  background: var(--highlight-background);
}

.projects__gallery-item:nth-child(4) {
  background: var(--septenary-background);
}

.projects__gallery-item:nth-child(5) {
  background: var(--octonary-background);
}

.footer {
  height: 238px;
}
